
using Hangfire;
using System.Threading;
using System.Threading.Tasks;

namespace OnlineSalesAutoCrop.CoreAPI.Services.Contracts.BackgroupJobs;

public interface IBackgroundJobService
{
    [Queue("sap_order_send")]
    [DisableConcurrentExecution(timeoutInSeconds: 40 * 60)]
    Task ExecuteSendingOrderAsync(CancellationToken cancellationToken);
}
